<?php

//Remove WordPress Version For Security Reasons
remove_action('wp_head', 'wp_generator');

//Add Breadcrumbs Support
include('functions/breadcrumbs.php');

//Include Comments Template
include('functions/comments.php');

// Limit Post Word Count
function new_excerpt_length($length) {
	return 30;
}
add_filter('excerpt_length', 'new_excerpt_length');


//Replace Excerpt Link
function gpp_excerpt($text) { 
	return str_replace('[...]', '...', $text); 
	} 
add_filter('the_excerpt', 'gpp_excerpt');


//Activate post-image functionality (WP 2.9+)
if ( function_exists( 'add_theme_support' ) )
add_theme_support( 'post-thumbnails' );


// Enable Custom Background
add_custom_background();


// Register Navigation Menus
register_nav_menus(
	array(
	'primary'=>__('Primary Menu'),
	)
);


//Register Sidebars
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Sidebar',
'description' => 'Widgets in this area will be shown in the sidebar.',
'before_widget' => '<div class="sidebar-box-wrap"><div class="sidebar-box">',
'after_widget' => '</div></div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Left',
'description' => 'Widgets in this area will be shown in the footer - left side.',
'before_widget' => '',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4><div class="footer-box">',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Middle Left',
'description' => 'Widgets in this area will be shown in the footer - middle left.',
'before_widget' => '',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4><div class="footer-box">',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Middle Right',
'description' => 'Widgets in this area will be shown in the footer - middle right.',
'before_widget' => '',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4><div class="footer-box">',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Right',
'description' => 'Widgets in this area will be shown in the footer - right side.',
'before_widget' => '',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4><div class="footer-box">',
));


// Get Post Categories
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category");


// Start Admin Panel
$themename = "Theme Panel";
$shortname = "xs";


// Theme Options
$options = array (
array( "name" => $themename." Options",
	"type" => "title"),
array( "name" => "Favicon",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Custom Favicon",
	"desc" => "A favicon is a 16x16 pixel icon that represents your site; paste the URL to a .ico image that you want to use as the image",
	"id" => $shortname."_favicon",
	"type" => "text",
	"std" => get_bloginfo('url') ."/favicon.ico"),
	
array( "type" => "close"),
array( "name" => "Header",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Use Custom Image Logo",
	"desc" => "Check this box if you would like to use a custom image logo",
	"id" => $shortname."_enable_custom_logo",
	"type" => "checkbox",
	"std" => "false"),
	
array( "name" => "URL To Custom Header Logo",
	"desc" => "Add a URL here to exchange the site title & description for a custom logo image",
	"id" => $shortname."_custom_logo",
	"type" => "text",
	"std" => get_bloginfo('template_url') ."/images/logo.png"),

array( "type" => "close"),
array( "name" => "Image Slider",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Disable Homepage Slider",
	"desc" => "Check this box if you would like to Disable the homepage slider.",
	"id" => $shortname."_disable_slider",
	"type" => "checkbox",
	"std" => "false"),
	
array( "name" => "Disable Slider Links - Only Show Images",
	"desc" => "Check this box if you would like to Disable the links on the featured slider images.",
	"id" => $shortname."_disable_slider_links",
	"type" => "checkbox",
	"std" => "false"),

array( "name" => "Slider Category",
	"desc" => "Choose a category for your featured slider",
	"id" => $shortname."_feat_cat",
	"type" => "select",
	"options" => $wp_cats,
	"std" => "Choose a category"),
	
array( "name" => "How Many Slides",
	"desc" => "Enter how many slides you wish to show on the featured slider.",
	"id" => $shortname."_feat_cat_slides",
	"type" => "text",
	"std" => "3"),

array( "name" => "Pause Time",
	"desc" => "Choose the amount of time in milliseconds between each slide",
	"id" => $shortname."_slider_pause",
	"type" => "text",
	"std" => "3000"),

array( "name" => "Slider Speed",
	"desc" => "Choose the transition speed in milliseconds for your slider",
	"id" => $shortname."_slider_speed",
	"type" => "text",
	"std" => "500"),

array( "name" => "Slider Slices",
	"desc" => "Choose number of slices for the slider animation",
	"id" => $shortname."_slider_slices",
	"type" => "text",
	"std" => "15"),
	
array( "name" => "Animation",
	"desc" => "Choose an animation for your slider",
	"id" => $shortname."_slider_animation",
	"type" => "select",
	"options" => array("random", "fold", "fade", "sliceDown"),
	"std" => "random"),

array( "name" => "Manually Add Items To Your Slider (advanced)",
	"desc" => "Here you can manually add mroe items to your slider. Add them in the same way you would add an image to a website using the HTML img src= tag",
	"id" => $shortname."_manual_slides",
	"type" => "textarea",
	"std" => ""),
	
array( "type" => "close"),
array( "name" => "Thumbnail Images",
	"type" => "section"),
array( "type" => "open"),
	
array( "name" => "Disable Thumbnails On Archieve/Category/Blog pages",
	"desc" => "Check this box if you would like to disable the thumbnail images on archieve/category pages.",
	"id" => $shortname."_disable_thumbnails_archieve",
	"type" => "checkbox",
	"std" => "false"),
	
array( "name" => "Disable Thumbnails On Blog Posts",
	"desc" => "Check this box if you would like to disable the thumbnail images on your blog posts.",
	"id" => $shortname."_disable_thumbnails_posts",
	"type" => "checkbox",
	"std" => "false"),
	
array( "name" => "Disable Thumbnails On Related Posts",
	"desc" => "Check this box if you would like to disable the thumbnail images on the related-posts section",
	"id" => $shortname."_disable_thumbnails_related_posts",
	"type" => "checkbox",
	"std" => "false"),

array( "type" => "close"),
array( "name" => "Disable Extended Footer",
	"type" => "section"),
array( "type" => "open"),
	
array( "name" => "Disable Extended Footer",
	"desc" => "Check this box if you would like to disable the extended footer section.",
	"id" => $shortname."_disable_footer",
	"type" => "checkbox",
	"std" => "false"),

array( "type" => "close"),
array( "name" => "Analytics",
	"type" => "section"),
array( "type" => "open"),

array( "name" => "Google Analytics Code",
	"desc" => "You can paste your Google Analytics or other tracking code in this box. This will be automatically added to the footer.",
	"id" => $shortname."_ga_code",
	"type" => "textarea",
	"std" => ""),
	
array( "type" => "close")

);


// Define Admin Panel
function mytheme_add_admin() {
global $themename, $shortname, $options;
if ( $_GET['page'] == basename(__FILE__) ) {
	if ( 'save' == $_REQUEST['action'] ) {
		foreach ($options as $value) {
		update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options as $value) {
	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
	header("Location: admin.php?page=functions.php&saved=true");
die;
}
else if( 'reset' == $_REQUEST['action'] ) {
	foreach ($options as $value) {
		delete_option( $value['id'] ); }
	header("Location: admin.php?page=functions.php&reset=true");
die;
}
}
add_menu_page($themename, $themename, 'administrator', basename(__FILE__), 'mytheme_admin');
}


//Get Javascriot and CSS files
function mytheme_add_init() {
$file_dir=get_bloginfo('template_directory');
wp_enqueue_style("functions", $file_dir."/functions/xspanel.css", false, "1.0", "all");
wp_enqueue_script("rm_script", $file_dir."/js/rm_script.js", false, "1.0");

}
function mytheme_admin() {

global $themename, $shortname, $options;
$i=0;
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>

<div class="wrap rm_wrap">
<h2>Basico Theme Panel</h2>
<p><a href="http://www.wpexplorer.com/" title="Wordpress Themes">Wordpress Themes</a> | <a href="http://www.psdexplorer.com/">PSD Resources</a> |  <a href="http://www.templatexplorer.com/">HTML Templates</a>
| <a href="http://www.aoclarkejr.com/forum">WordPress Help Forum</a> | <a href="http://www.aoclarkejr.com">AJ's Blog</a><br />
</p>
<div class="rm_opts">
<form method="post">
<?php foreach ($options as $value) { switch ( $value['type'] ) { case "open": ?>
<?php break; case "close": ?>

</div>
</div>
<br />

<?php break; case "title": ?>
<?php break; case 'text': ?>

<div class="rm_input rm_text">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
 	<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id'])  ); } else { echo $value['std']; } ?>" />
	<small><?php echo $value['desc']; ?></small>
	<div class="clearfix"></div>
</div><!-- /rm_input rm_text -->
 
<?php break; case 'textarea': ?>

<div class="rm_input rm_textarea">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings( $value['id']) ); } else { echo $value['std']; } ?></textarea>
	<small><?php echo $value['desc']; ?></small>
	<div class="clearfix"></div>
</div><!-- /rm_input rm_textarea -->

<?php break; case 'select': ?>

<div class="rm_input rm_select">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?>
	</select>
	<small><?php echo $value['desc']; ?></small>
	<div class="clearfix"></div>
</div><!-- /rm_input rm_select -->

<?php break; case "checkbox": ?>

<div class="rm_input rm_checkbox">
	<label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label>
	<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
	<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
	<small><?php echo $value['desc']; ?></small>
    <div class="clearfix"></div>
</div><!-- /rm_input rm_checkbox -->

<?php break; case "section": $i++ ?>

<div class="rm_section">
<div class="rm_title">
	<h3><img src="" class="inactive" alt="""><?php echo $value['name']; ?></h3>
	<span class="submit"><input name="save<?php echo $i; ?>" type="submit" value="Save changes" /></span><div class="clearfix"></div>
</div>

<div class="rm_options">
<?php break;
}
}
?>
<h3 style="color: #F00;">Reset Theme Panel</h3>
<p>Use with causion - this button will reset your theme panel options to the default settings</p>
<input type="hidden" name="action" value="save" />
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
?>
<?php
add_action('admin_init', 'mytheme_add_init');
add_action('admin_menu', 'mytheme_add_admin');
?>